BANK KALTENG - Bug #3083

Generate Plafond masih 0 padahal harusnya tidak
09/24/2024 05:34 PM - haykal haykal

Status: Closed Start date: 09/24/2024
Priority: Normal Due date:

Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour

Description
Dear Azid,

Ketika saya klik button Generate Plafond (ketika create Medical Master Data) amount Plafond nya masih 0 (seperti di foto yang saya
attach), padahal harusnya tidak. Harusnya dia terisi angka sesuai dengan yang telah di-mapping di Customization (Medical ->
Plafond).

Contoh misalnya Treatment Type 01 (Rawat Inap) disitu dia tidak ada mappingan spesifik sesuai Payroll Class, Payroll Type, Payroll
Area, dsb. Maka artinya itu berlaku untk semua karyawan. Maka harusnya ketika diklik Generate Plafond hrsnya muncul amount
sesuai yang telah di-mapping di kolom Fixed Value di Customization.

Menu Path: Human Resource > HR Administration > Benefit Administration > Medical > Medical Master Data
Port: http://remote.minovais.com:31130/
DB: MinovaES_Bank_Kalteng_Dev (1442)

History

#1 - 09/25/2024 08:52 AM - M Azid Wahyudi

- File clipboard-202409250849-skirf.png added

- File clipboard-202409250849-Idtus.png added

- Status changed from New to QA Test

- Assignee changed from M Azid Wahyudi to haykal haykal

dear haykal , ini ada settingan atau flag yang kurang

pada mappingan di PHRBNMEDTREATPLAF jika ingin sesuai fixed value pada table tersebut flagnya ada di field PlafondCalculationType 1 itu
artinya true sedangkan 0 itu artinya false seperti source di bawah ini

( EPHRBNMEDTREAT PLAF . Count() > )
i
{var Items in EPHREBMMEDTREATPLAF)

zion Set parmeter dan defa
TreatmentType = Items[
PlafondCalculationType = Item e"].ToString() == "1" ¢

MedicalResult = pew Dictionary< - >();
Employee!
HeaderSequence);
reatmentType) ;

Value = Ttems["F ue™].ToString();
FixedValusfimount
.TryParse(Fixedy i uedmount ) ;
Mumber = { R
NilaiPlafond = FixedValuefAmount * Number;
MedicalResult . Ad » MilaiPlafond);
iPlafond);

ini contoh di bawah yang settingannya udah di ubah jadi 1
http://remote.minovais.com:31130/

Maintain Medical Master Data - 00000029 - NUSITA KAROLINA,S.Sos

Employee ID: 00000029
Full Name: NUSITA KAROLINA S Sos
Employee Status: Active

Employee Type: Pegawai Tetap

PT. Bank Kalteng 3
Kantor Pusat

Company 1D:
Employee Office:

Qrganization: Departemen Kerumahtanggaan
Directorate:

Division:

Position: Pemimpin Departeman Kerumahtanggaan

Add - Medical Maintenance - 00000029 - NUSITA KAROLINA,S _Sos

Start Date: 25/09/2024 N
End Date: 3112/9999 N
Medical 1D:

» Medical Plafond

Generate Plafond Delete

Treatment Type MedicalFami... Plafond
1 Rawat Inap Karyawan 1,000,000,000.00
2 Rawat Jalan Karyawan 1,000,000,000.00
3 Kacamata (Frame) Karyawan 0.00
4 Kacamata (Lensa) Karyawan 0.00
5 Bersalin Karyawan 0.00
6 Cuci Darah Karyawan 1,000,000,000.00

Tax Status: | v ‘ ®

Notes:

Plafond Re... Plafond U...
1,000,000,000.00 0.00
1,000,000,000.00 0.00
0.00 0.00
0.00 0.00
0.00 0.00
1,000,000,000.00 0.00

tapi settingannya udah di kembaliin ke 0 biar ubah sendiri aja sesuai apa yang di mau

makasih

#2 - 09/25/2024 11:44 AM - haykal haykal
- Status changed from QA Test to Closed

Files

Khristiano Generate Plafond 00.PNG
Treatment Type mapping Plafond.PNG
clipboard-202409250849-sklrf.png
clipboard-202409250849-Idtus.png

03/14/2025

12.3 KB 09/24/2024 haykal haykal
7.19KB 09/24/2024 haykal haykal
58.9 KB 09/25/2024 M Azid Wahyudi
52.3 KB 09/25/2024 M Azid Wahyudi
